ChaChaTLS_Info Struct Reference

IETF ChaCha20 stream cipher information. More...

`#include <chacha.h>`

Inheritance diagram for ChaChaTLS_Info:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
| The algorithm name.
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 12 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 12 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.
Static Public Attributes inherited from FixedRounds< 20 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

IETF ChaCha20 stream cipher information.

Since
  Crypto++ 8.1

Definition at line 98 of file chacha.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * ChaChaTLS_Info::StaticAlgorithmName | ( |  | ) |

inline static

The algorithm name.

Returns
  the algorithm name

StaticAlgorithmName returns the algorithm's name as a static member function.

This is the IETF's variant of Bernstein's ChaCha from RFC 8439. IETF ChaCha is called ChaChaTLS in the Crypto++ library. It is _slightly_ different from Bernstein's implementation.

Definition at line 107 of file chacha.h.

The documentation for this struct was generated from the following file:

- chacha.h